- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - CLASS METHODS
    - Class
    - Backends
    - Attributes
    - Ids
    - ClearOld
    - ClearOrphanLockFiles
    - ClearByUser

# NAME

RT::Interface::Web::Session - RT web session class

# SYNOPSIS

# DESCRIPTION

RT session class and utilities.

CLASS METHODS can be used without creating object instances, it's mainly utilities to clean unused session records.

Object is tied hash and can be used to access session data.

# METHODS

## CLASS METHODS

### Class

Returns name of the class that is used as sessions storage.

### Backends

Returns hash reference with names of the databases as keys and sessions class names as values.

### Attributes

Returns hash reference with attributes that are used to create new session objects.

### Ids

Returns array ref with list of the session IDs.

### ClearOld

Takes seconds and deletes all sessions that are older.

### ClearOrphanLockFiles

Takes a directory in which to look for Apache::Session::Lock::File locks which no longer have a corresponding session file. If not provided, the directory is taken from the session configuration data.

### ClearByUser

Checks all sessions and if user has more then one session then leave only the latest one.

← Back to index